Subject: Re: linux-next: Signed-off-by missing for commit in the drm-misc tree

From: Jani Nikula <[email-masked]>
Date: Fri, 24 Nov 2023 15:20:24 +0200

On Wed, 22 Nov 2023, Luben Tuikov <[email-masked]> wrote:
> On 2023-11-22 07:00, Maxime Ripard wrote:
>> Hi Luben,
>> 
>> On Thu, Nov 16, 2023 at 09:27:58AM +0100, Daniel Vetter wrote:
>>> On Thu, Nov 16, 2023 at 09:11:43AM +0100, Maxime Ripard wrote:
>>>> On Tue, Nov 14, 2023 at 06:46:21PM -0500, Luben Tuikov wrote:
>>>>> On 2023-11-13 22:08, Stephen Rothwell wrote:
>>>>>> BTW, cherry picking commits does not avoid conflicts - in fact it can
>>>>>> cause conflicts if there are further changes to the files affected by
>>>>>> the cherry picked commit in either the tree/branch the commit was
>>>>>> cheery picked from or the destination tree/branch (I have to deal with
>>>>>> these all the time when merging the drm trees in linux-next).  Much
>>>>>> better is to cross merge the branches so that the patch only appears
>>>>>> once or have a shared branches that are merged by any other branch that
>>>>>> needs the changes.
>>>>>>
>>>>>> I understand that things are not done like this in the drm trees :-(
>>>>>
>>>>> Hi Stephen,
>>>>>
>>>>> Thank you for the clarification--understood. I'll be more careful in the future.
>>>>> Thanks again! :-)
>>>>
>>>> In this case, the best thing to do would indeed have been to ask the
>>>> drm-misc maintainers to merge drm-misc-fixes into drm-misc-next.
>>>>
>>>> We're doing that all the time, but we're not ubiquitous so you need to
>>>> ask us :)
>>>>
>>>> Also, dim should have caught that when you pushed the branch. Did you
>>>> use it?
>>>
>>> Yeah dim must be used, exactly to avoid these issues. Both for applying
>>> patches (so not git am directly, or cherry-picking from your own
>>> development branch), and for pushing. The latter is even checked for by
>>> the server (dim sets a special push flag which is very long and contains a
>>> very clear warning if you bypass it).
>>>
>>> If dim was used, this would be a bug in the dim script that we need to
>>> fix.
>> 
>> It would be very useful for you to explain what happened here so we
>> improve the tooling or doc and can try to make sure it doesn't happen
>> again
>> 
>> Maxime
>
> There is no problem with the tooling--I just forced the commit in.

Wait what?

What do you mean by forcing the commit in? Bypass dim?

If yes, please *never* do that when you're dealing with dim managed
branches. That's part of the deal for getting commit access, along with
following all the other maintainer tools documentation.

BR,
Jani.

-- 
Jani Nikula, Intel